@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: url(./fonts/Material-icons.woff2) format('woff2');
}

body, .btn {
	font-size:15px
}
.select2-dropdown {font-size:13px}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 20px;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
	color: #555
}

.has-feedback .select2-selection {padding-left:32px;}
.badge > .fa {vertical-align: text-top}

.modal-header .close {transform: scale(3)}
.modal-body .select2-container {width: 100% !important; }

@media (min-width:769px){
	.select2-container{ width: 100% !important; }
}

.bg-red {background: red}
.cp {cursor:pointer;}

.producto-referencias-cloud {
	width: 200px;
	position: absolute;
	background: #fff;
	border-radius: 5px;
	animation: cloud 0.25s normal forwards ease-in-out;
	box-shadow: -3px 3px 3px rgba(0,0,0,.2);
	border: 1px solid rgba(0,0,0,.2);
	padding: 10px 0
}
.producto-referencias-cloud > p{
	margin: 0px 5px 5px 12px; opacity: .8
}

.producto-referencias-cloud li {padding: 3px 12px;border-left:1px solid transparent;}
.producto-referencias-cloud li:hover {background-color: #f5f5f5 !important}
.producto-referencias-cloud .cloud-arrow {
	display: none;
	opacity:.5; left:-7px; top:50%; transform: scale(2); opacity: .5;
	position: absolute; color: #666; font-size: 13px; z-index: 100
}

@keyframes cloud {
    from {
        transform: translate3d(-10px, 0, 0);
        opacity: 0;
    }
    to {
        transform: translate3d(10px, 0, 0);
        opacity: 1;
    }
}

body{ overflow-x: hidden;}

#header_total {font-size: 22pt; margin: 0 50px 0 0; font-weight: 600; display: none}
#header_total span {
	color:#89ff00;
	/*color: yellow;*/
	background: #263238; display: inline-block;
	min-width:220px;
	line-height: 55px;
	height:55px;
	text-align: right;
	border-radius: 3px;
	word-break: break-all;
}
#header_total big {font-size: 25pt; margin-right:10px;}

.list-roles .list-group-item button {float:right;}
.list-group-header {position: relative;}
.list-group-header .btn-group {position: absolute;top:-2px; right: 10px; font-size:9px;}

.letras-wrap .input-group-addon.bootstrap-touchspin-postfix {
	background: #4CAF50; color:#fff; cursor: pointer;
}

.cambio_actual em{
	animation-duration: .5s;
	animation-name: cambio_actual;
	animation-iteration-count: infinite;
	animation-direction: alternate;
}
@keyframes cambio_actual { from{opacity: .3} to {opacity: 1}}

.swal-ventas .sa-button-container .cancel {background: #1565C0; color:#fff;}
.swal-cobrar .sa-button-container .cancel {background: #4CAF50; color:#fff;} /*seguir en ventas*/

.panel-reporte .loader, .panel-reporte .progress-bar{opacity: 0; transition: opacity ease-in .25s;}

.panel-reporte.loading .loader, .panel-reporte.loading .progress-bar {opacity: 1}

#ui-datepicker-div.modal-anho-mes .ui-datepicker-calendar {display: none}

body.modal-open {padding-right: 17px}
.kiosk {
	
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 1500;
	animation: kiosk 0.2s normal forwards ease-in-out;
	display: none;
	overflow: hidden;
	width: 100%;
	height: 100%;
	font-size:15px;
	background-color: #263238; color:#fff; 
}
.kiosk-content {width:100%; height:100%;}
.kiosk-title{margin:0 0 20px 0;}

.kiosk-content{display: flex; flex-direction: column}
.kiosk-body {height:100%;padding: 30px; }
.kiosk-footer{background-color: #263238; color:#89ff00; padding: 20px 50px;}

.hotkey {
	background: #000; color:#fff; padding:1px; display: inline-block; vertical-align: middle;
	border-left:3px solid #999; border-bottom:3px solid #999;
	border-top-right-radius: 3px;
	width:32px;
	height:32px;
	line-height: 32px
}
.form-control-feedback .hotkey {margin-left: 10px;}
@keyframes kiosk{
	from{ opacity:0; transform: scale(1.25) }
	to{ opacity:1; transform: scale(1) }
}

.wrap-transferencias .producto-wrap {border:1px solid transparent; padding:10px; margin:5px 0; border-radius: 5px}
.wrap-transferencias .producto-wrap .texto-error  {display: none}
.wrap-transferencias .producto-wrap.producto-error {border-color:#D84315;}
.wrap-transferencias .producto-wrap.producto-error .texto-error {display: block}

#ventas_legend span {display: inline-block; width:20px; height:20px; margin: 0 10px;}


/*.bg-purple {background-color: #9f2fbb; border-color: #9f2fbb; color: #fff;}*/
.bg-purple-light {background-color: #9f2fbb; border-color: #9f2fbb; color: #fff;}
.bg-grey2 {background-color: #607D8B; color: #fff;}

.excel-import .file-input > button, .excel-import  .file-preview,
.excel-import .kv-upload-progress{display: none !important} 

/*actualizacion seleccion productos*/
table.dataTable th.focus,
table.dataTable td.focus {
  outline: none;
}
.dataTable tbody > tr.selected, .dataTable tbody > tr > .selected {
    background-color: #bdecc0;
}


.panel-venta.con-descuento #total {text-decoration: line-through;}

.bootstrap-touchspin .input-group-btn-vertical i.fa,
.bootstrap-touchspin .input-group-btn-vertical i.fas{font-weight: 900 !important; padding-left: 4px}

.table-produccion-detalles tr.warning {opacity: .5}

.stepy-header li div:after{display: none !important}
.stepy-header li:before, .stepy-header li:after {background-color: #66bb6a}

.stepy-header li div, .stepy-header li.stepy-active ~ li div {
	background-color: #fff; border-color: #eee; color: #ccc;
}

.stepy-header li.stepy-active div{
	background-color: #673AB7 !important; border-color: #673AB7 !important
}

.stepy-header li.stepy-active:after, .stepy-header li.stepy-active:before{
	background-color: #66bb6a !important; 
}

.stepy-header li .fa.fa-check:not(.icon) {color:#66bb6a ;}
/*.stepy-header li.stepy-active + li:first-child div {
	animation-duration: .5s;
	animation-name: blink;
	animation-iteration-count: infinite;
	animation-direction: alternate;
}*/
.stepy-header li div i {font-size:16px; line-height: 38px; }

.stepy-header li div.accion {cursor: pointer}
.stepy-header li.stepy-active div.accion {cursor: default;}

.stepy-header li.stepy-active div i{color:#fff;}
.stepy-header li {cursor: default !important;}

/*@keyframes blink{
	from{ opacity:.8; background-color: #fff; color:#66bb6a;}
	to{ opacity:1; background-color: #66bb6a; color:#fff;}
}*/
.blink {
	animation-duration: .5s;
	animation-name: blink;
	animation-iteration-count: infinite;
	animation-direction: alternate;
}
@keyframes blink{
	from{ opacity:.5; }
	to{ opacity:1; }
}

.swal2-overflow {
    overflow-x: visible;
    overflow-y: visible;
}
.AnyTime-hdr, .AnyTime-yrs, .AnyTime-lbl-yr {display: none}
.AnyTime-win {z-index: 2000}
.AnyTime-lbl-month {margin-top:5px;}
.AnyTime-min-ten-btn, .AnyTime-min-one-btn, .AnyTime-hr-btn {padding: 3px 0;}

.produccion-item .fa-long-arrow-alt-up {transform: rotate(45deg)}
.produccion-item .fa-long-arrow-alt-down {transform: rotate(45deg)}

.form-horizontal-usuarios.form-horizontal .checkbox .checker,
.form-horizontal-notificaciones-config.form-horizontal .checkbox .checker
 {top:50%;}

#table_notificaciones li.media {list-style-type: none}

.stepy-disabled {opacity: .3}

.unidad_medida {font-size: 11px; color:#fff; background-color: #9a9a9a; 
	display: inline-block; width: 34px; height:17px; text-align: center; line-height: 18px}

.original_precio_label_descuento {color:#00bb00;}

.switchery.switchery-default + .switchery.switchery-default {display: none} /*Fix cloned switch*/

.form-horizontal .checkbox .checker, .form-horizontal .checkbox-inline .checker {top:15px}

.vehiculos-input-distribucion {font-family: monospace; font-size: 15px; height: 225px !important}
.vehiculos-input-distribucion[readonly], .vehiculos-input-distribucion[disabled] {background:#eee}
.vehiculos-input-distribucion.inactive {opacity: .5}

.text-orange {color: #f48836}

.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {background-color: #f7f7f7}

.contenido-contabilidad .botones {transition: 0.25s all ease-in-out}
.contenido-contabilidad .botones.inactivo {pointer-events: none; opacity: 0.25;}

.navbar-default.navbar-fixed-bottom {
	left: auto;
}

.login-wrap {min-height: 100%; height: 100%; width: 100%; margin: 0; display: flex; flex-direction: column;}
.login-wrap > * {background: rgba(255,255,255,.7); padding: 20px}

.login-wrap .validation-error-label, .login-wrap .validation-valid-label {display: none !important}

@media (min-width: 600px) {

	.login-wrap > * {
		box-shadow: 0 0 6px rgb(0 0 0 / 30%);
		max-height: 600px;
		max-width: 400px;
		margin: auto;
		border-radius: 5px;
		padding: 45px 32px;
	}
}

@media (min-width: 769px){
	.navbar-default.navbar-fixed-bottom {
		width: calc(100% - 260px);
	}
}